commit: e935dc6d3a82d358c53409cc849aaa91342c9ee1
Author: Jian Lin <jlin.gentoo <AT> outlook <DOT> com>
AuthorDate: Sun Dec 6 14:02:39 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Dec 6 14:02:39 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e935dc6d
media-video/qliveplayer: bump to 3.20.2
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Jian Lin <jlin.gentoo <AT> outlook.com>
media-video/qliveplayer/Manifest | 1 +
media-video/qliveplayer/qliveplayer-3.20.2.ebuild | 60 +++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/media-video/qliveplayer/Manifest b/media-video/qliveplayer/Manifest
index 5300d98c..9044a522 100644
--- a/media-video/qliveplayer/Manifest
+++ b/media-video/qliveplayer/Manifest
@@ -1 +1,2 @@
DIST QLivePlayer-3.20.1.tar.gz 1504693 BLAKE2B
815e85aa0c190b0d44a20bae81b6533befe3a73402e2f31c5d56c330fd9542c6d8bdd9aae81a39bbf42397c614715de55d67b8fa2dfdb08e5fb6c487133b3605
SHA512
896e7313666a94c7aeacf776782acd1514d7d39cbeb45054b61c5391b90418d1b39da9e33b152d906710c7cdd153d14b7a8f0d8e8848ebcae9825a2f55b808b1
+DIST QLivePlayer-3.20.2.tar.gz 638142 BLAKE2B
f9b7f6f69a4d751b57441e61b670a909408317801463415c8b0c311766bdbf16913c811e11c7a31096a6609b2e5e6f8ae64688d03d04dd1ebab97ebdf1644e08
SHA512
9ea868c59ff15ee6efa4a9c02578fee628c0f2985203d2696496512f9e1fd05b5d1642d4812711ef3be3843077b6f655288f07d48da7ceb80add20e7442cbf5b
diff --git a/media-video/qliveplayer/qliveplayer-3.20.2.ebuild
b/media-video/qliveplayer/qliveplayer-3.20.2.ebuild
new file mode 100644
index 00000000..45575fd8
--- /dev/null
+++ b/media-video/qliveplayer/qliveplayer-3.20.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit xdg cmake optfeature python-single-r1
+
+MY_P="QLivePlayer-${PV}"
+
+DESCRIPTION="A cute and useful Live Stream Player with danmaku support"
+HOMEPAGE="https://github.com/IsoaSFlus/QLivePlayer"
+SRC_URI="https://github.com/IsoaSFlus/QLivePlayer/archive/${PV}.tar.gz ->
${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ >=dev-qt/qtcore-5.12
+ >=dev-qt/qtgraphicaleffects-5.12
+ >=dev-qt/qtquickcontrols-5.12
+ >=dev-qt/qtquickcontrols2-5.12
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ $(python_gen_cond_dep '
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ ')
+ media-video/mpv
+ media-video/ffmpeg
+ net-misc/curl
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ kde-frameworks/extra-cmake-modules
+"
+
+src_prepare()
+{
+ cmake_src_prepare
+ # fix python version
+ sed -i "s/python3/${EPYTHON}/" src/qlphelper/bilivideo.cpp \
+ || die "Sed failed to set python version!"
+ sed -i "s/python3/${EPYTHON}/" src/qlphelper/danmakulauncher.cpp \
+ || die "Sed failed to set python version!"
+ sed -i "s/python3/${EPYTHON}/" src/qlphelper/streamfinder.cpp \
+ || die "Sed failed to set python version!"
+}
+
+pkg_postinst()
+{
+ xdg_pkg_postinst
+ optfeature "twitch support" "net-misc/streamlink"
+ optfeature "youtube support" "net-misc/streamlink
dev-python/protobuf-python"
+}